(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/collider.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '3deb2ExBOxEppBebuPVgVsM', 'collider', __filename);
// Script/collider.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        player: {
            default: null,
            type: cc.Node
        }
    },

    // 只在两个碰撞体开始接触时被调用一次
    onBeginContact: function onBeginContact(contact, selfCollider, otherCollider) {
        selfCollider.node.color = cc.Color.RED;
        console.log(selfCollider.node.name, otherCollider.node.name, '只在两个碰撞体开始接触时被调用一次1');
    },

    // 只在两个碰撞体结束接触时被调用一次
    onEndContact: function onEndContact(contact, selfCollider, otherCollider) {
        selfCollider.node.color = cc.Color.WHITE;
        console.log('只在两个碰撞体结束接触时被调用一次,8');
    },

    // // 每次将要处理碰撞体接触逻辑时被调用
    // onPreSolve: function (contact, selfCollider, otherCollider) {
    //     console.log('每次将要处理碰撞体接触逻辑时被调用2,4,6')
    // },

    // // 每次处理完碰撞体接触逻辑时被调用
    // onPostSolve: function (contact, selfCollider, otherCollider) {
    //     console.log('每次处理完碰撞体接触逻辑时被调用3,5,7')
    // },

    update: function update(dt) {
        this.node.position = cc.v2(50, 0);
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=collider.js.map
        