
cc.Class({
    extends: cc.Component,

    properties: {
        player: {
            default: null,
            type: cc.Node,
        }
    },

    // 只在两个碰撞体开始接触时被调用一次
    onBeginContact: function (contact, selfCollider, otherCollider) {
        selfCollider.node.color =cc.Color.RED;
        console.log(selfCollider.node.name,otherCollider.node.name,'只在两个碰撞体开始接触时被调用一次1')
    },

    // 只在两个碰撞体结束接触时被调用一次
    onEndContact: function (contact, selfCollider, otherCollider) {
        selfCollider.node.color =cc.Color.WHITE;
        console.log('只在两个碰撞体结束接触时被调用一次,8')
    },

    // // 每次将要处理碰撞体接触逻辑时被调用
    // onPreSolve: function (contact, selfCollider, otherCollider) {
    //     console.log('每次将要处理碰撞体接触逻辑时被调用2,4,6')
    // },

    // // 每次处理完碰撞体接触逻辑时被调用
    // onPostSolve: function (contact, selfCollider, otherCollider) {
    //     console.log('每次处理完碰撞体接触逻辑时被调用3,5,7')
    // },

    update(dt) {
        this.node.position = cc.v2(50,0);
    },
});
